// priority: 0

settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true



onEvent('recipes', event => {
	//remove recipes

	event.remove({output: 'create:andesite_casing'})
	event.remove({output: 'appliedenergistics2:logic_processor'})
	event.remove({output: 'appliedenergistics2:calculation_processor'})
	event.remove({output: 'appliedenergistics2:engineering_processor'})
	event.remove({output: 'appliedenergistics2:printed_logic_processor'})
	event.remove({output: 'appliedenergistics2:printed_calculation_processor'})
	event.remove({output: 'appliedenergistics2:printed_engineering_processor'})
	event.remove({output: 'appliedenergistics2:printed_silicon'})
	event.remove({output: 'appliedenergistics2:fluix_glass_cable'})
	event.remove({output: 'appliedenergistics2:wireless_receiver'})
	event.remove({output: 'create:rose_quartz'})
	event.remove({output: 'create:polished_rose_quartz'})
	event.remove({output: 'create:electron_tube'})
	event.remove({output: 'appliedenergistics2:quartz_fiber'})
	event.remove({output: 'appliedenergistics2:silicon'})
	event.remove({output: 'thermal:rf_coil'})
	event.remove({output: 'thermal:redstone_servo'})
	event.remove({output: 'refinedstorage:cable'})
	event.remove({output: 'create:copper_ingot'})
	event.remove({output: 'create:zinc_ingot'})
	event.remove({output: 'create:belt_connector'})
	event.remove({output: 'thermal:rubber'})
	event.remove({output: 'createaddition:electric_motor'})
	event.remove({output: 'thermal:device_tree_extractor'})
	event.remove({output: 'create:precision_mechanism'})
	event.remove({output: 'create:brass_casing'})
	event.remove({output: 'create:copper_casing'})
	event.remove({output: 'create:refined_radiance_casing'})
	event.remove({output: 'create:encased_fan'})
	event.remove({output: 'create:mechanical_press'})
	event.remove({output: 'create:mechanical_mixer'})
	event.remove({output: 'create:super_glue'})
	event.remove({ id: 'thermal:devices/tree_extractor/tree_extractor_dark_oak' })
	event.remove({ id: 'thermal:devices/tree_extractor/tree_extractor_jungle' })
	event.remove({ id: 'thermal:devices/tree_extractor/tree_extractor_oak' })
	event.remove({ id: 'thermal:devices/tree_extractor/tree_extractor_spruce' })
	event.remove({ id: 'thermal:devices/tree_extractor/tree_extractor_acacia' })
	event.remove({ id: 'thermal:devices/tree_extractor/tree_extractor_birch' })
	event.remove({mod: 'storagedrawers'})
	event.remove({output: 'create:fluid_tank'})
	event.remove({output: 'create:hose_pulley'})
	event.remove({output: 'create:spout'})
	//event.remove({output: 'appliedenergistics2:controller'})
	//event.remove({output: 'appliedenergistics2:drive'})
	//event.remove({output: 'appliedenergistics2:energy_acceptor'})
	//event.remove({output: 'appliedenergistics2:molecular_assembler'})
	//event.remove({output: 'appliedenergistics2:interface'})
	//event.remove({output: 'appliedenergistics2:fluid_interface'})
	//event.remove({output: 'appliedenergistics2:fluid_export_bus'})
	//event.remove({output: 'appliedenergistics2:fluid_import_bus'})
	//event.remove({output: 'appliedenergistics2:import_bus'})
	//event.remove({output: 'appliedenergistics2:export_bus'})
	event.remove({output: 'refinedstorage:quartz_enriched_iron'})
	event.remove({output: 'thermal:machine_frame'})
	event.remove({output: 'refinedstorage:controller'})
	event.remove({output: 'refinedstorage:raw_basic_processor'})
	event.remove({output: 'refinedstorage:basic_processor'})
	event.remove({output: 'refinedstorage:improved_processor'})
	event.remove({output: 'refinedstorage:raw_improved_processor'})
	event.remove({output: 'refinedstorage:advanced_processor'})
	event.remove({output: 'refinedstorage:raw_advanced_processor'})
	event.remove({output: 'refinedstorage:destruction_core'})
	event.remove({output: 'refinedstorage:construction_core'})
	event.remove({output: 'refinedstorage:machine_casing'})
	event.remove({output: 'create:cogwheel'})
	event.remove({output: 'create:large_cogwheel'})
	event.remove({output: 'boss_tools:rocket_t1'})
	event.remove({output: 'boss_tools:rocket_t2'})
	event.remove({output: 'boss_tools:silicon_ingot'})
	event.remove({output: 'boss_tools:compressor'})
	event.remove({output: 'boss_tools:compressed_steel'})
	event.remove({output: 'boss_tools:compressed_silicon'})
	event.remove({output: 'boss_tools:diamond_engine'})
	event.remove({output: 'boss_tools:blast_furnace'})
	event.remove({output: 'resourcefulbees:t1_apiary'})
	event.remove({output: 'mekanism:robit'})
	event.remove({output: 'mekanism:steel_casing'})
	event.remove({output: 'mekanism:digital_miner'})
	event.remove({output: 'pipez:item_pipe'})
	event.remove({output: 'pipez:fluid_pipe'})
	event.remove({output: 'pipez:energy_pipe'})
	event.remove({output: 'pipez:basic_upgrade'})
	event.remove({output: 'pipez:improved_upgrade'})
	event.remove({output: 'pipez:advanced_upgrade'})
	event.remove({output: 'pipez:ultimate_upgrade'})
	event.remove({output: 'pipez:universal_pipe'})
	event.remove({output: 'appliedenergistics2:fluix_crystal'})

	//thermal refinery
	event.recipes.thermal.crucible([Fluid.of('boss_tools:oil', 300)], 'thermal:tar')
	
	//thermal 
	event.recipes.thermal.pyrolyzer([Fluid.of('industrialforegoing:meat', 10), 'minecraft:rotten_flesh'], '#forge:foods/meat/raw')

	//add recipes
  
	//craftTable
	event.shapeless('2x create:andesite_casing', ['#minecraft:logs', 'create:andesite_alloy'])
	event.shapeless('2x create:brass_casing', ['#minecraft:logs', '#forge:plates/brass'])
	event.shapeless('2x create:copper_casing', ['#minecraft:logs', '#forge:plates/copper'])
	event.shapeless('2x create:refined_radiance_casing', ['#minecraft:logs', 'create:refined_radiance'])
	event.shapeless('1x create:hose_pulley', ['create:copper_casing', 'thermal:cured_rubber', 'create:fluid_pipe'])
	event.shapeless('1x create:spout', ['create:fluid_tank', 'create:fluid_pipe'])
	event.shapeless('9x immersiveengineering:nugget_steel', ['xkdeco:steel_ingot'])
	
	
	event.shapeless('1x create:copper_ingot', ['9x createautomated:copper_ore_piece'])
	event.shapeless('1x create:zinc_ingot', ['9x createautomated:zinc_ore_piece'])
	event.shapeless('1x minecraft:iron_ingot', ['9x createautomated:iron_ore_piece'])
	event.shapeless('1x minecraft:gold_ingot', ['9x createautomated:gold_ore_piece'])
	event.shapeless('1x minecraft:lapis_lazuli', ['9x createautomated:lapis_ore_piece'])
	event.shapeless('4x create:belt_connector', ['6x thermal:cured_rubber'])
	event.shapeless('1x create:super_glue', ['1x minecraft:iron_nugget','1x #forge:slimeballs'])
	event.shapeless('1x create:fluid_tank', ['1x create:copper_casing','1x #forge:glass'])
	event.shapeless('1x boss_tools:silicon_ingot', ['9x boss_tools:silicon_nugget'])
	event.shapeless('1x minecraft:ender_eye', ['4x thermal:ender_pearl_dust'])
	event.shapeless('1x appliedenergistics2:fluix_crystal', ['1x appliedenergistics2:charged_certus_quartz_crystal', 'minecraft:quartz','minecraft:redstone'])
	
	event.shaped('createaddition:electric_motor', [
			'CPC',
			'PEP',
			'PPP'
	  ], {
			E: 'create:electron_tube',
			C: 'immersiveengineering:wirecoil_copper',
			P: '#forge:plates/brass'
	})
	
	event.shaped('resourcefulbees:t1_apiary', [
			'CPC',
			'PEP',
			'CPC'
	  ], {
			E: 'minecraft:nether_star',
			C: '#resourcefulbees:resourceful_honeycomb_block',
			P: 'resourcefulbees:t1_beehive'
	})
		
	event.shaped('8x refinedstorage:cable', [
			'III',
			'GKG',
			'III'
	  ], {
			I: 'refinedstorage:quartz_enriched_iron',
			G: 'minecraft:glass',
			K: 'storagenetwork:kabel'
	})
	
	event.shaped('4x appliedenergistics2:fluix_glass_cable', [
			'CF ',
			'F  '
	  ], {
			C: 'refinedstorage:cable',
			F: '#appliedenergistics2:crystals/fluix'
	})
	
	event.shaped('appliedenergistics2:wireless_receiver', [
			' P ',
			'ICI',
			' I '
	  ], {
			P: 'appliedenergistics2:fluix_pearl',
			I: 'minecraft:iron_ingot',
			C: 'appliedenergistics2:fluix_glass_cable'
	})
	
	
	//drawers trim
	event.shaped('storagedrawers:oak_trim', [
			'PSP',
			'SPS',
			'PSP'
	  ], {
			P: 'minecraft:oak_planks',
			S: 'minecraft:stick'
	})
	event.shaped('storagedrawers:spruce_trim', [
			'PSP',
			'SPS',
			'PSP'
	  ], {
			P: 'minecraft:spruce_planks',
			S: 'minecraft:stick'
	})
	event.shaped('storagedrawers:birch_trim', [
			'PSP',
			'SPS',
			'PSP'
	  ], {
			P: 'minecraft:birch_planks',
			S: 'minecraft:stick'
	})
	event.shaped('storagedrawers:jungle_trim', [
			'PSP',
			'SPS',
			'PSP'
	  ], {
			P: 'minecraft:jungle_planks',
			S: 'minecraft:stick'
	})
	event.shaped('storagedrawers:acacia_trim', [
			'PSP',
			'SPS',
			'PSP'
	  ], {
			P: 'minecraft:acacia_planks',
			S: 'minecraft:stick'
	})
	event.shaped('storagedrawers:dark_oak_trim', [
			'PSP',
			'SPS',
			'PSP'
	  ], {
			P: 'minecraft:dark_oak_planks',
			S: 'minecraft:stick'
	})
	
	
	event.shaped('thermal:machine_frame', [
			'APA',
			'PGP',
			'APA'
	  ], {
			P: 'create:precision_mechanism',
			G: '#forge:stone',
			A: 'minecraft:air'
	})
	event.shaped('refinedstorage:machine_casing', [
			'APA',
			'PGP',
			'APA'
	  ], {
			P: 'refinedstorage:quartz_enriched_iron',
			G: 'thermal:machine_frame',
			A: 'minecraft:air'
	})
	event.shaped('8x create:cogwheel', [
			'APA',
			'PGP',
			'APA'
	  ], {
			P: '#minecraft:buttons',
			G: 'create:shaft',
			A: 'minecraft:air'
	})
	event.shaped('8x create:large_cogwheel', [
			'PGP',
			'PGP',
			'PGP'
	  ], {
			P: '#minecraft:buttons',
			G: 'create:shaft'
	})
	event.shaped('boss_tools:diamond_engine', [
			'ABC',
			'DEF',
			'ABG'
	  ], {
			A: 'boss_tools:silicon_ingot',
			B: 'minecraft:redstone',
			C: '#forge:ingots/steel',
			D: '#forge:plates/iron',
			E: 'boss_tools:engine_fan',
			F: 'boss_tools:engine_frame',
			G: '#forge:plates/brass'
	})
	event.shaped('minecraft:skeleton_skull', [
			'PPP',
			'PGP',
			'PPP'
	  ], {
			P: 'minecraft:bone',
			G: 'tconstruct:large_plate'
	})
	event.shaped('6x pipez:universal_pipe', [
			'IEF',
			'IEF',
			'IEF'
	  ], {
			I: 'pipez:item_pipe',
			E: 'pipez:energy_pipe',
			F: 'pipez:fluid_pipe'
	})
	

	

//cortador de pedras

event.stonecutting('storagedrawers:oak_full_drawers_1', 'storagedrawers:oak_trim')
event.stonecutting('storagedrawers:oak_full_drawers_2', 'storagedrawers:oak_trim')	
event.stonecutting('storagedrawers:oak_full_drawers_4', 'storagedrawers:oak_trim')	
event.stonecutting('2x storagedrawers:oak_half_drawers_1', 'storagedrawers:oak_trim')
event.stonecutting('2x storagedrawers:oak_half_drawers_2', 'storagedrawers:oak_trim')	
event.stonecutting('2x storagedrawers:oak_half_drawers_4', 'storagedrawers:oak_trim')	
event.stonecutting('storagedrawers:spruce_full_drawers_1', 'storagedrawers:spruce_trim')
event.stonecutting('storagedrawers:spruce_full_drawers_2', 'storagedrawers:spruce_trim')	
event.stonecutting('storagedrawers:spruce_full_drawers_4', 'storagedrawers:spruce_trim')	
event.stonecutting('2x storagedrawers:spruce_half_drawers_1', 'storagedrawers:spruce_trim')
event.stonecutting('2x storagedrawers:spruce_half_drawers_2', 'storagedrawers:spruce_trim')	
event.stonecutting('2x storagedrawers:spruce_half_drawers_4', 'storagedrawers:spruce_trim')
event.stonecutting('storagedrawers:birch_full_drawers_1', 'storagedrawers:birch_trim')
event.stonecutting('storagedrawers:birch_full_drawers_2', 'storagedrawers:birch_trim')	
event.stonecutting('storagedrawers:birch_full_drawers_4', 'storagedrawers:birch_trim')	
event.stonecutting('2x storagedrawers:birch_half_drawers_1', 'storagedrawers:birch_trim')
event.stonecutting('2x storagedrawers:birch_half_drawers_2', 'storagedrawers:birch_trim')	
event.stonecutting('2x storagedrawers:birch_half_drawers_4', 'storagedrawers:birch_trim')
event.stonecutting('storagedrawers:jungle_full_drawers_1', 'storagedrawers:jungle_trim')
event.stonecutting('storagedrawers:jungle_full_drawers_2', 'storagedrawers:jungle_trim')	
event.stonecutting('storagedrawers:jungle_full_drawers_4', 'storagedrawers:jungle_trim')	
event.stonecutting('2x storagedrawers:jungle_half_drawers_1', 'storagedrawers:jungle_trim')
event.stonecutting('2x storagedrawers:jungle_half_drawers_2', 'storagedrawers:jungle_trim')	
event.stonecutting('2x storagedrawers:jungle_half_drawers_4', 'storagedrawers:jungle_trim')
event.stonecutting('storagedrawers:acacia_full_drawers_1', 'storagedrawers:acacia_trim')
event.stonecutting('storagedrawers:acacia_full_drawers_2', 'storagedrawers:acacia_trim')	
event.stonecutting('storagedrawers:acacia_full_drawers_4', 'storagedrawers:acacia_trim')	
event.stonecutting('2x storagedrawers:acacia_half_drawers_1', 'storagedrawers:acacia_trim')
event.stonecutting('2x storagedrawers:acacia_half_drawers_2', 'storagedrawers:acacia_trim')	
event.stonecutting('2x storagedrawers:acacia_half_drawers_4', 'storagedrawers:acacia_trim')
event.stonecutting('storagedrawers:dark_oak_full_drawers_1', 'storagedrawers:dark_oak_trim')
event.stonecutting('storagedrawers:dark_oak_full_drawers_2', 'storagedrawers:dark_oak_trim')	
event.stonecutting('storagedrawers:dark_oak_full_drawers_4', 'storagedrawers:dark_oak_trim')	
event.stonecutting('2x storagedrawers:dark_oak_half_drawers_1', 'storagedrawers:dark_oak_trim')
event.stonecutting('2x storagedrawers:dark_oak_half_drawers_2', 'storagedrawers:dark_oak_trim')	
event.stonecutting('2x storagedrawers:dark_oak_half_drawers_4', 'storagedrawers:dark_oak_trim')

event.stonecutting('4x storagedrawers:upgrade_template', 'storagedrawers:oak_trim')
event.stonecutting('4x storagedrawers:upgrade_template', 'storagedrawers:dark_oak_trim')
event.stonecutting('4x storagedrawers:upgrade_template', 'storagedrawers:spruce_trim')
event.stonecutting('4x storagedrawers:upgrade_template', 'storagedrawers:birch_trim')
event.stonecutting('4x storagedrawers:upgrade_template', 'storagedrawers:jungle_trim')
event.stonecutting('4x storagedrawers:upgrade_template', 'storagedrawers:acacia_trim')
event.stonecutting('storagedrawers:drawer_key', 'storagedrawers:upgrade_template')
event.stonecutting('storagedrawers:quantify_key', 'storagedrawers:upgrade_template')
event.stonecutting('storagedrawers:shroud_key', 'storagedrawers:upgrade_template')
event.stonecutting(Item.of('tconstruct:large_plate', '{Material:"tconstruct:bone"}'), 'minecraft:bone_block')


//appliedenergistics2
//event.stonecutting('appliedenergistics2:drive', 'appliedenergistics2:controller')
//event.stonecutting('appliedenergistics2:energy_acceptor', 'appliedenergistics2:controller')
//event.stonecutting('appliedenergistics2:molecular_assembler', 'appliedenergistics2:controller')
//event.stonecutting('appliedenergistics2:interface', 'appliedenergistics2:controller')
//event.stonecutting('appliedenergistics2:fluid_interface', 'appliedenergistics2:controller')
//event.stonecutting('appliedenergistics2:fluid_export_bus', 'appliedenergistics2:controller')
//event.stonecutting('appliedenergistics2:export_bus', 'appliedenergistics2:controller')
//event.stonecutting('appliedenergistics2:import_bus', 'appliedenergistics2:controller')
//event.stonecutting('appliedenergistics2:fluid_import_bus', 'appliedenergistics2:controller')




//smithing table
event.smithing('storagedrawers:controller', 'thermal:machine_frame', 'minecraft:diamond')
event.smithing('storagedrawers:compacting_drawers_3', 'thermal:machine_frame', 'minecraft:piston')
event.smithing('storagedrawers:controller_slave', 'thermal:machine_frame', 'minecraft:quartz')
event.smithing('storagedrawers:obsidian_storage_upgrade', 'storagedrawers:upgrade_template', 'minecraft:obsidian')
event.smithing('storagedrawers:iron_storage_upgrade', 'storagedrawers:upgrade_template', 'minecraft:iron_ingot')
event.smithing('storagedrawers:gold_storage_upgrade', 'storagedrawers:upgrade_template', 'minecraft:gold_ingot')
event.smithing('storagedrawers:diamond_storage_upgrade', 'storagedrawers:upgrade_template', 'minecraft:diamond')
event.smithing('storagedrawers:emerald_storage_upgrade', 'storagedrawers:upgrade_template', 'minecraft:emerald')
event.smithing('storagedrawers:one_stack_upgrade', 'storagedrawers:upgrade_template', 'minecraft:flint')
event.smithing('storagedrawers:void_upgrade', 'storagedrawers:upgrade_template', 'minecraft:ender_eye')
event.smithing('storagedrawers:conversion_upgrade', 'storagedrawers:upgrade_template', 'minecraft:lapis_lazuli')
event.smithing('storagedrawers:redstone_upgrade', 'storagedrawers:upgrade_template', 'minecraft:redstone')
event.smithing('storagedrawers:min_redstone_upgrade', 'storagedrawers:upgrade_template', 'minecraft:repeater')
event.smithing('storagedrawers:max_redstone_upgrade', 'storagedrawers:upgrade_template', 'minecraft:comparator')
event.smithing('storagedrawers:illumination_upgrade', 'storagedrawers:upgrade_template', 'minecraft:glowstone_dust')
event.smithing('storagedrawers:fill_level_upgrade', 'storagedrawers:upgrade_template', 'minecraft:redstone_torch')
event.smithing('create:encased_fan', 'create:andesite_casing', 'create:propeller')
event.smithing('create:mechanical_press', 'create:andesite_casing', 'minecraft:piston')
event.smithing('create:mechanical_mixer', 'create:andesite_casing', 'create:whisk')

//blasting



	
//smeltin-furnace
event.smelting('1x chisel:basalt/raw', '1x minecraft:basalt')
event.smelting('1x chisel:marble/raw', '1x create:dolomite')
event.smelting('1x refinedstorage:silicon', '1x appliedenergistics2:purified_nether_quartz_crystal')
event.smelting('1x refinedstorage:silicon', '1x appliedenergistics2:purified_certus_quartz_crystal')
event.smelting('1x minecraft:ender_pearl', '1x minecraft:twisting_vines')

//immersive press
event.recipes.immersiveengineeringMetalPress('appliedenergistics2:printed_calculation_processor', 'appliedenergistics2:purified_certus_quartz_crystal', 'appliedenergistics2:calculation_processor_press')
event.recipes.immersiveengineeringMetalPress('appliedenergistics2:printed_engineering_processor', 'minecraft:diamond', 'appliedenergistics2:engineering_processor_press')	
event.recipes.immersiveengineeringMetalPress('appliedenergistics2:printed_logic_processor', 'minecraft:gold_ingot', 'appliedenergistics2:logic_processor_press')	
event.recipes.immersiveengineeringMetalPress('appliedenergistics2:printed_silicon', '#forge:silicon', 'appliedenergistics2:silicon_press')

//ark furnace
event.recipes.immersiveengineeringArcFurnace(['minecraft:end_stone'], 'minecraft:sandstone')

//thermal smeltery
event.recipes.thermal.smelter('minecraft:warped_nylium', ['minecraft:netherrack', 'minecraft:warped_fungus'])
event.recipes.thermal.smelter('minecraft:crimson_nylium', ['minecraft:netherrack', 'minecraft:crimson_fungus'])
event.recipes.thermal.smelter('2x refinedstorage:quartz_enriched_iron', ['minecraft:iron_ingot', 'minecraft:quartz'])
event.recipes.thermal.smelter('boss_tools:silicon_ingot', ['minecraft:iron_ingot', 'refinedstorage:silicon'])
event.recipes.thermal.smelter('thermal:rf_coil', ['#forge:rods/gold', 'minecraft:redstone'])
event.recipes.thermal.smelter('thermal:redstone_servo', ['#forge:rods/iron', 'minecraft:redstone'])
event.recipes.thermal.smelter('create:precision_mechanism', ['#forge:plates/brass', 'create:andesite_alloy'])

event.recipes.thermal.smelter('pipez:improved_upgrade', ['#forge:ingots/gold','pipez:basic_upgrade'])
event.recipes.thermal.smelter('pipez:advanced_upgrade', ['#forge:ingots/lead','pipez:improved_upgrade'])
event.recipes.thermal.smelter('pipez:ultimate_upgrade', ['#forge:ingots/steel','pipez:advanced_upgrade'])


event.recipes.thermal.press('create:brass_sheet', '#forge:ingots/brass')

//tinkers

	event.custom({
	 	"type": "tconstruct:casting_table",
	 	"cast": { "item": "create:polished_rose_quartz" },
		"cast_consumed": true,
	 	"fluid": {
	 		"name": "tconstruct:molten_iron",
	 		"amount": 100
	 	},
	 	"result": { "item": "create:electron_tube" },
	 	"cooling_time": 50
	 })
	 
	event.custom({
	 	"type": "tconstruct:casting_table",
	 	"cast": { "item": "minecraft:quartz" },
		"cast_consumed": true,
	 	"fluid": {
	 		"name": "thermal:redstone",
	 		"amount": 100
	 	},
	 	"result": { "item": "create:rose_quartz" },
	 	"cooling_time": 50
	 })
	 
	 event.custom({
	 	"type": "tconstruct:casting_table",
	 	"cast": { "tag": "forge:rods/gold" },
		"cast_consumed": true,
	 	"fluid": {
	 		"name": "thermal:redstone",
	 		"amount": 100
	 	},
	 	"result": { "item": "thermal:rf_coil" },
	 	"cooling_time": 50
	 })
	 
	event.custom({
	 	"type": "tconstruct:casting_table",
	 	"cast": { "item": "immersiveengineering:stick_iron" },
		"cast_consumed": true,
	 	"fluid": {
	 		"name": "thermal:redstone",
	 		"amount": 100
	 	},
	 	"result": { "item": "thermal:redstone_servo" },
	 	"cooling_time": 50
	})
	
	event.custom({
	 	"type": "tconstruct:casting_table",
	 	"cast": { "item": "tconstruct:nugget_cast" },
		"cast_consumed": false,
	 	"fluid": {
	 		"name": "tconstruct:blood",
	 		"amount": 100
	 	},
	 	"result": { "item": "minecraft:spider_eye" },
	 	"cooling_time": 50
	 })
	 
	event.custom({
		"type": "tconstruct:melting",
		"ingredient": {
			"tag": "forge:rods/blaze"
		},
		"result": {
			"fluid": "tconstruct:blazing_blood",
			"amount": 300
		},
		"temperature": 250,
		"time": 40
	})
	
	event.custom({
		"type": "tconstruct:melting",
		"ingredient": {
			"item": "minecraft:blaze_powder"
		},
		"result": {
			"fluid": "tconstruct:blazing_blood",
			"amount": 100
		},
		"temperature": 250,
		"time": 40
	})
	
	event.custom({
		"type": "tconstruct:melting",
		"ingredient": {
			"item": "minecraft:redstone"
		},
		"result": {
			"fluid": "thermal:redstone",
			"amount": 100
		},
		"temperature": 250,
		"time": 40
	})

//create mechanical_press
	
event.recipes.createPressing('boss_tools:compressed_silicon', ['boss_tools:silicon_ingot'])	
event.recipes.createPressing('boss_tools:compressed_steel', ['#forge:ingots/steel'])	


//create compacting

event.recipes.createCompacting('create:rose_quartz',['minecraft:redstone','minecraft:quartz'])
event.recipes.createCompacting('minecraft:coal', '4x minecraft:charcoal')
event.recipes.createCompacting('thermal:rubber', Fluid.of('industrialforegoing:latex', 50))
event.recipes.createCompacting('refinedstorage:construction_core',['refinedstorage:basic_processor','minecraft:glowstone_dust'])
event.recipes.createCompacting('refinedstorage:destruction_core',['refinedstorage:basic_processor','minecraft:quartz'])
event.recipes.createCompacting('minecraft:bone',['3x minecraft:bone_meal'])


//create crushing

event.recipes.createCrushing(Item.of('minecraft:netherite_scrap').withChance(0.05), 'minecraft:soul_soil')
event.recipes.createCrushing(Item.of('minecraft:blaze_powder').withChance(0.05), 'minecraft:soul_soil')
event.recipes.createCrushing(Item.of('minecraft:glowstone_dust').withChance(0.25), 'minecraft:soul_torch')
event.recipes.createCrushing(Item.of('minecraft:chorus_fruit').withChance(0.30), 'minecraft:end_stone')
event.recipes.createCrushing(Item.of('minecraft:chorus_flower').withChance(0.05), 'minecraft:end_stone')
event.recipes.createCrushing(Item.of('2x minecraft:prismarine_shard'), 'rftoolsbase:dimensionalshard')
event.recipes.createCrushing(Item.of('2x minecraft:prismarine_crystals'), 'minecraft:prismarine_shard')
event.recipes.createCrushing(Item.of('minecraft:ghast_tear').withChance(0.25), 'minecraft:soul_sand')

//create splashing

event.recipes.createSplashing('create:polished_rose_quartz','create:rose_quartz')

//create filling

event.recipes.createFilling('minecraft:soul_sand', [ 'minecraft:sand', Fluid.of('immersiveengineering:creosote', 100)])
event.recipes.createFilling('minecraft:soul_soil', [ 'minecraft:dirt', Fluid.of('immersiveengineering:creosote', 100)])

event.recipes.createFilling('minecraft:crimson_fungus', [ 'minecraft:red_mushroom', Fluid.of('tconstruct:liquid_soul', 100)])
event.recipes.createFilling('minecraft:warped_fungus', [ 'minecraft:brown_mushroom', Fluid.of('tconstruct:liquid_soul', 100)])
event.recipes.createFilling('minecraft:wither_skeleton_skull', [ 'minecraft:skeleton_skull', Fluid.of('tconstruct:liquid_soul', 1000)])

//create mechanical crafter

event.recipes.createMechanicalCrafting('2x appliedenergistics2:nether_quartz_seed', 'appliedenergistics2:purified_nether_quartz_crystal')
event.recipes.createMechanicalCrafting('2x appliedenergistics2:certus_crystal_seed', 'appliedenergistics2:purified_certus_quartz_crystal')
event.recipes.createMechanicalCrafting('2x appliedenergistics2:fluix_crystal_seed', 'appliedenergistics2:purified_fluix_crystal')
//event.recipes.createMechanicalCrafting('storagedrawers:controller', ['thermal:machine_frame', 'minecraft:diamond'])
event.recipes.createMechanicalCrafting('storagedrawers:compacting_drawers_3', ['thermal:machine_frame', 'minecraft:piston'])
event.recipes.createMechanicalCrafting('storagedrawers:controller_slave', ['thermal:machine_frame', 'minecraft:quartz'])


//sequencial assembler

//event.recipes.createDeploying('appliedenergistics2:controller', ['thermal:machine_frame', 'appliedenergistics2:engineering_processor'])
event.recipes.createDeploying('refinedstorage:controller', ['thermal:machine_frame', 'refinedstorage:advanced_processor'])
event.recipes.createDeploying('refinedstorage:raw_basic_processor', ['refinedstorage:silicon', 'refinedstorage:processor_binding'])


event.recipes.createFilling('refinedstorage:basic_processor', [ 'refinedstorage:raw_basic_processor', Fluid.of('tconstruct:molten_iron', 125)])
event.recipes.createFilling('refinedstorage:improved_processor', [ 'refinedstorage:raw_basic_processor', Fluid.of('tconstruct:molten_gold', 125)])
event.recipes.createFilling('refinedstorage:advanced_processor', [ 'refinedstorage:raw_basic_processor', Fluid.of('tconstruct:molten_diamond', 125)])

//precision_mechanism

event.recipes.createSequencedAssembly([
'create:precision_mechanism',
], '#forge:plates/brass', [
event.recipes.createDeploying('create:incomplete_precision_mechanism', ['create:incomplete_precision_mechanism', 'create:andesite_alloy']),
event.recipes.createCutting('create:incomplete_precision_mechanism', ['create:incomplete_precision_mechanism', 'immersiveengineering:screwdriver'])
]).transitionalItem('create:incomplete_precision_mechanism')
.loops(0)
.id('create:precision_mechanism')

event.custom({
	"type": "thermal:rock_gen",
	"adjacent": "minecraft:packed_ice",
	"below": "minecraft:bedrock",
	"result": { "item": "minecraft:andesite" }
})
event.custom({
	"type": "thermal:rock_gen",
	"adjacent": "minecraft:water",
	"below": "minecraft:bedrock",
	"result": { "item": "minecraft:diorite" }
})

event.custom({
	"type": "thermal:rock_gen",
	"adjacent": "minecraft:blue_ice",
	"below": "minecraft:bedrock",
	"result": { "item": "minecraft:granite" }
})



//mekanism
//bancada de trabalho
event.shaped('mekanism:robit', [
			'ASA',
			'TUT',
			'PCP'
	  ], {
			P: 'mekanism:pellet_polonium',
			C: 'mekanism:personal_chest',
			S: '#forge:ingots/steel',
			T: 'mekanism:energy_tablet',
			U: 'mekanism:ultimate_control_circuit',
			A: 'minecraft:air'
	})
	
event.shaped('mekanism:digital_miner', [
			'ACA',
			'SES',
			'NRN'
	  ], {
			A: 'mekanism:alloy_atomic',
			C: 'mekanism:basic_control_circuit',
			S: 'mekanism:logistical_sorter',
			N: 'mekanism:teleportation_core',
			R: 'mekanism:steel_casing',
			E: 'mekanism:ultimate_energy_cube'
})
	
//infusor metalurgico
event.recipes.mekanismMetallurgicInfusing('mekanism:steel_casing', 'thermal:machine_frame', 'mekanism:carbon', 50)

//combinador
event.recipes.mekanismCombining('thermal:machine_frame', '#forge:stone', 'create:precision_mechanism')

event.recipes.mekanismCombining('appliedenergistics2:calculation_processor','appliedenergistics2:printed_calculation_processor', 'appliedenergistics2:printed_silicon')
event.recipes.mekanismCombining('appliedenergistics2:engineering_processor','appliedenergistics2:printed_engineering_processor', 'appliedenergistics2:printed_silicon')
event.recipes.mekanismCombining('appliedenergistics2:logic_processor','appliedenergistics2:printed_logic_processor', 'appliedenergistics2:printed_silicon')

event.recipes.mekanismCombining('refinedstorage:basic_processor','refinedstorage:raw_basic_processor', 'minecraft:iron_ingot')
event.recipes.mekanismCombining('refinedstorage:improved_processor','refinedstorage:raw_basic_processor', 'minecraft:gold_ingot')
event.recipes.mekanismCombining('refinedstorage:advanced_processor','refinedstorage:raw_basic_processor', 'minecraft:diamond')
event.recipes.mekanismCombining('refinedstorage:raw_basic_processor','refinedstorage:processor_binding', 'refinedstorage:silicon')

event.recipes.mekanismCombining('refinedstorage:construction_core','refinedstorage:basic_processor', 'minecraft:glowstone_dust')
event.recipes.mekanismCombining('refinedstorage:destruction_core','refinedstorage:basic_processor', 'minecraft:quartz')

//pipez

event.shaped('8x pipez:item_pipe', [
			'III',
			'CRC',
			'III'
	  ], {
			I: 'minecraft:iron_nugget',
			C: 'minecraft:chest',
			R: 'minecraft:redstone'
			
})

event.shaped('8x pipez:fluid_pipe', [
			'III',
			'RBR',
			'III'
	  ], {
			I: 'minecraft:iron_nugget',
			R: 'thermal:cured_rubber',
			B: 'minecraft:bucket'
			
})
event.shaped('8x pipez:energy_pipe', [
			'III',
			'RRR',
			'III'
	  ], {
			I: 'minecraft:iron_nugget',
			R: 'minecraft:redstone'
			
})

event.shaped('8x pipez:energy_pipe', [
			'III',
			'RRR',
			'III'
	  ], {
			I: 'minecraft:iron_nugget',
			R: 'minecraft:redstone'
			
})
event.shaped('pipez:basic_upgrade', [
			'SIS',
			'IRI',
			'SIS'
	  ], {
			S: 'minecraft:stick',
			I: 'minecraft:iron_nugget',
			R: 'minecraft:redstone'
			
})

event.custom({
	 	"type": "tconstruct:casting_table",
	 	"cast": { "item": "pipez:basic_upgrade" },
		"cast_consumed": true,
	 	"fluid": {
	 		"name": "tconstruct:molten_gold",
	 		"amount": 100
	 	},
	 	"result": { "item": "pipez:improved_upgrade" },
	 	"cooling_time": 50
})
event.custom({
	 	"type": "tconstruct:casting_table",
	 	"cast": { "item": "pipez:improved_upgrade" },
		"cast_consumed": true,
	 	"fluid": {
	 		"name": "tconstruct:molten_lead",
	 		"amount": 100
	 	},
	 	"result": { "item": "pipez:advanced_upgrade" },
	 	"cooling_time": 50
})
event.custom({
	 	"type": "tconstruct:casting_table",
	 	"cast": { "item": "pipez:advanced_upgrade" },
		"cast_consumed": true,
	 	"fluid": {
	 		"name": "tconstruct:molten_steel",
	 		"amount": 100
	 	},
	 	"result": { "item": "pipez:ultimate_upgrade" },
	 	"cooling_time": 50
})

//crushing

event.recipes.mekanismCrushing('appliedenergistics2:fluix_dust', 'appliedenergistics2:purified_fluix_crystal')
event.recipes.thermal.pulverizer('appliedenergistics2:fluix_dust', 'appliedenergistics2:purified_fluix_crystal')
event.recipes.createMilling('appliedenergistics2:fluix_dust', 'appliedenergistics2:purified_fluix_crystal')

event.recipes.createMilling('appliedenergistics2:nether_quartz_dust', 'appliedenergistics2:purified_nether_quartz_crystal')
event.recipes.thermal.pulverizer('appliedenergistics2:nether_quartz_dust', 'appliedenergistics2:purified_nether_quartz_crystal')
event.recipes.mekanismCrushing('appliedenergistics2:nether_quartz_dust', 'appliedenergistics2:purified_nether_quartz_crystal')

event.recipes.createMilling('appliedenergistics2:certus_quartz_dust', 'appliedenergistics2:purified_certus_quartz_crystal')
event.recipes.thermal.pulverizer('appliedenergistics2:certus_quartz_dust', 'appliedenergistics2:purified_certus_quartz_crystal')
event.recipes.mekanismCrushing('appliedenergistics2:certus_quartz_dust', 'appliedenergistics2:purified_certus_quartz_crystal')

//fim geral
})
